Package org.apache.avro.path

# Class LocationStep

java.lang.Object
org.apache.avro.path.LocationStep

All Implemented Interfaces:
  `PathElement`

public class LocationStep extends Object implements PathElement
Selects items based on their "path" (name of a property under which they are stored) relative to the context.

## Constructor Summary

Constructors
Constructor
Description
`LocationStep(String selector, String propertyName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocationStep

public LocationStep(String selector, String propertyName)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`